<?php
require_once('models/Usuario.php');


class UsuarioAPI 
{

	public function API()
     {
         header('Content-Type: application/JSON');                
         $method = $_SERVER['REQUEST_METHOD'];
         switch ($method) {
         case 'GET'://consulta
             $this->get();
             break; 
        case 'POST'://consulta
             $this->post();
             break;  
         case 'DELETE'://consulta
             $this->delete();
             break;  
         default://metodo NO soportado
             echo 'METODO NO SOPORTADO';
             break;
         }
     }

    private function my_status_header($setHeader=null) {
        static $theHeader=null;
        //if we already set it, then return what we set before (can't set it twice anyway)
        if($theHeader) {return $theHeader;}
        $theHeader = $setHeader;
        header('HTTP/1.1 '.$setHeader);
        return $setHeader;
    }
    
    function response($code=200, $status="", $message="") 
       {
       $this->my_status_header($code);
        if( !empty($status) && !empty($message) )
           {
            $response = array("status" => $status ,"message"=>$message);  
            echo json_encode($response,JSON_PRETTY_PRINT);    
            } 
    }

    	function get()
    	{
    		$model = new Usuario();
	        if(isset($_GET['info']))
	        {
	            switch ($_GET['info']) {
	                case 'list':
		                 $response=array(); 
	                	 $response["data"]=$model->getList($_GET["data"]); 
	                	 echo json_encode($response);
	                break;
	        	}		
	    	}
    	}
      function post()
     {
     	$model = new Usuario();
        if(isset($_GET['info']))
        {
            switch ($_GET['info']) {
                case 'add':
                    $obj = json_decode( file_get_contents('php://input') );   
                    $data=$model->addUsuario($obj); 
                    echo json_encode($data);  
                break;
                
                case 'addCondicionCliente':
                    $obj = json_decode( file_get_contents('php://input') );   
                    $data=$model->addCondicionCliente($obj); 
                    echo json_encode($data);  
                break;

                
                
                default:
                    $this->response(400);
                    break;
            }
        }
     }
     
       function delete()
     {
     	$model = new Usuario();
        if(isset($_GET['info']))
        {
            switch ($_GET['info']) {
                case 'eliminar':
                    $obj = json_decode($_GET["data"]);   
                    $data=$model->deleteUsuario($obj); 
                    echo json_encode($data);  
                break;

                
                default:
                    $this->response(400);
                    break;
            }
        }
     }
}