<?php 

if(!class_exists('DB_Connect') ) 
    include "conexion/DB_Connect.php";


class Cliente extends DB_Connect {

	public function getListClientes($idcopiacertificada)
	{
		$db=$this->connect();
		$sql="
			SELECT id,tipopersona,t.td_abrev,numdocumento,
			(CASE tipopersona
			WHEN 'N' THEN CONCAT(apellidopaterno,' ',apellidomaterno,' ',primernombre,' ',segundonombre)
			WHEN 'J' THEN razonsocial
			ELSE '' END) AS cliente,
			(
			SELECT GROUP_CONCAT(cc.nombre SEPARATOR '/') FROM clientecondicion c INNER JOIN
			condicioncopiacertificada cc ON c.`idcondicion`=cc.id
			 WHERE c.idcliente=ccc.id
			) as condicion

			 FROM clientecopiacertificada ccc
			INNER JOIN tipodocumento t ON ccc.tipodocumento=t.idtipdoc
			WHERE idcopiacertificada=".$idcopiacertificada." AND estado=1";
		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$data=array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{	
			$row["nrow"]=$i+1;
			$data[]=$row;
			$i++;
		}
		mysqli_free_result($query);
		mysqli_close($db);
		return $data;

	}
	public function addCliente($obj)
	{

		$db=$this->connect();
		$idcliente="";
	 	$razonsocial="";
	 	$domfiscal="";
	 	
	 	
	 	$idcopiacertificada="";
	 	if(isset($obj->idcopiacertificada))
			$idcopiacertificada=$obj->idcopiacertificada;

	 	if(isset($obj->idcliente))
			$idcliente=$obj->idcliente;
		

		$tipopersona="";
	 	if(isset($obj->tipopersona))
			$tipopersona=$obj->tipopersona;

		$tipodocumento="";
	 	if(isset($obj->tipodocumento))
			$tipodocumento=$obj->tipodocumento;

		$numdocumento="";
	 	if(isset($obj->numdocumento))
			$numdocumento=trim($obj->numdocumento);

		$apellidopaterno="";
	 	if(isset($obj->apellidopaterno))
			$apellidopaterno=trim(strtoupper($obj->apellidopaterno));

		$apellidomaterno="";
	 	if(isset($obj->apellidomaterno))
			$apellidomaterno=trim(strtoupper($obj->apellidomaterno));

		$primernombre="";
	 	if(isset($obj->primernombre))
			$primernombre=trim(strtoupper($obj->primernombre));


		$segundonombre="";
	 	if(isset($obj->segundonombre))
			$segundonombre=trim(strtoupper($obj->segundonombre));

		$razonsocial="";
	 	if(isset($obj->razonsocial))
			$razonsocial=trim(strtoupper($obj->razonsocial));

		$ubigeo="";
	 	if(isset($obj->ubigeo))
			$ubigeo=$obj->ubigeo;

		$estadocivil="0";
	 	if(isset($obj->estadocivil))
			$estadocivil=$obj->estadocivil;

		$direccion="";
	 	if(isset($obj->direccion))
			$direccion=strtoupper($obj->direccion);

		$sexo="";
	 	if(isset($obj->sexo))
			$sexo=$obj->sexo;

		$numpartida="";
	 	if(isset($obj->numpartida))
			$numpartida=$obj->numpartida;

		$sql="";

		if($tipopersona=="N"){
			$nombre=$apellidopaterno." ".$apellidomaterno.", ".$primernombre." ".$segundonombre;
			$nombre=strtoupper($nombre);
			$nombre=trim($nombre);
			
			$razonsocial="";
		}
		else if($tipopersona=="J"){
			$nombre="";
			$domfiscal=$direccion;
			//$direccion="";
			$apellidopaterno="";
			$apellidomaterno="";
			$primernombre="";
			$segundonombre="";
			$estadocivil="0";
			$sexo="";

		}


		if($estadocivil=="")
			$estadocivil="0";
		if($idcliente=="")
		{
			if($numdocumento!="")
			{
				$sqlVerify="SELECT idcliente FROM cliente WHERE numdoc='".$numdocumento."' ";
				$queryVerify=mysqli_query($db,$sqlVerify) or die(mysqli_error($db));
				$numrowverify=mysqli_num_rows($queryVerify);
				if($numrowverify==0)
				{

					    $consulclien=mysqli_query($db,"Select idcliente from cliente order by idcliente DESC LIMIT 1") or die(mysqli_error($db));

						$rowclin = mysqli_fetch_array($consulclien);

						$numeroc=$rowclin['idcliente'];
						$sumac= intval($numeroc) + 1;
						$cantidadc= strlen($sumac);


						 switch ($cantidadc) {
							case "1":
							$ncliente="000000000".$sumac;
							break;
							case "2":
							$ncliente="00000000".$sumac;	
							break;
							case "3":
							$ncliente="0000000".$sumac;
							break;
							case "4":
							$ncliente="000000".$sumac;	
							break;
							case "5":
							$ncliente="00000".$sumac;
							break;
							case "6":
							$ncliente="0000".$sumac;	
							break;		
							case "7":
							$ncliente="000".$sumac;	
							break;	
							case "8":
							$ncliente="00".$sumac;	
							break;	
							case "9":
							$ncliente="0".$sumac;	
							break;
							case "10":
							$ncliente=$sumac;	
							break;			
						}
					
					$sqlcliente="INSERT INTO cliente (idcliente,tipper,idtipdoc,numdoc,apepat,apemat,prinom,segnom,razonsocial,nombre,direccion,domfiscal,idubigeo,idestcivil,sexo) VALUES (";
					$sqlcliente.="

					'".$ncliente."',
					'".$tipopersona."',
					".$tipodocumento.",
					'".$numdocumento."',
					'".$apellidopaterno."',
					'".$apellidomaterno."',
					'".$primernombre."',
					'".$segundonombre."',
					'".$razonsocial."',
					'".$nombre."',
					'".$direccion."',
					'".$domfiscal."',
					'".$ubigeo."',
					".$estadocivil.",
					'".$sexo."'
					)
					";
					//die($sqlcliente);
					mysqli_query($db,$sqlcliente) or die("INSERT CLIENTE xyz".mysqli_error($db));

				}
			}

			$sql="INSERT INTO clientecopiacertificada(tipopersona,tipodocumento,numdocumento,apellidopaterno,apellidomaterno,primernombre,segundonombre,nombre,razonsocial,direccion,ubigeo,estadocivil,sexo,idcopiacertificada,numpartida) VALUES (
			'".$tipopersona."',
			".$tipodocumento.",
			'".$numdocumento."',
			'".$apellidopaterno."',
			'".$apellidomaterno."',
			'".$primernombre."',
			'".$segundonombre."',
			'".$nombre."',
			'".$razonsocial."',
			'".$direccion."',
			'".$ubigeo."',
			".$estadocivil.",
			'".$sexo."',
			".$idcopiacertificada.",
			'".$numpartida."'
			)";



		}else {
			$sql="UPDATE clientecopiacertificada
				SET 
				tipopersona='".$tipopersona."',
				tipodocumento=".$tipodocumento.",
				numdocumento='".$numdocumento."',
				apellidopaterno='".$apellidopaterno."',
				apellidomaterno='".$apellidomaterno."',
				primernombre='".$primernombre."',
				segundonombre='".$segundonombre."',
				razonsocial='".$razonsocial."',
				direccion='".$direccion."',
				ubigeo='".$ubigeo."',
				estadocivil=".$estadocivil.",
				sexo='".$sexo."',
				idcopiacertificada=".$idcopiacertificada."
				WHERE id=".$idcliente."
					
			";
		}

//		die($sql);
		$query=mysqli_query($db,$sql) or die("INSERT CONTRATANTE ".mysqli_error($db));
		mysqli_close($db);
		return "1";
	}
	public function getListCondicionByIdCliente($idcliente)
	{ 
		$db=$this->connect();

	
	$sql="SELECT t.id,CONCAT(t.name,'/',IFNULL(t.ischecked,'0'),'/',t.id) AS name,t.level,fkid,t.ischecked FROM (
			SELECT id,nombre AS name,level,fkid,
			(SELECT ischecked FROM clientecondicion WHERE idcondicion=c.id AND idcliente=".$idcliente.") AS ischecked
			FROM condicioncopiacertificada c 
			) AS t";

		$query=mysqli_query($db,$sql) or die("Error ".mysqli_error($db));
		$all= array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{
			$all[]=$row;
		}
		$list=array();
		foreach ($all as $val) {
			if($val["level"]==0)
			{	

				$array=array();
				foreach ($all as $row) {
					if($row["level"]==1 && $val["id"]==$row["fkid"]){
						array_push($array,$row);
					}
				}	
				
			}
			$val["children"]=$array;
			$list[]=$val;
		}
		mysqli_close($db);

		return $list;
	}
	public function addCondicionCliente($obj)
	{
		$db=$this->connect();  
		$idcliente=$obj->idcliente;
		$listdata=$obj->listdata;
		$deleteSql="DELETE FROM clientecondicion WHERE idcliente=".$idcliente;
		mysqli_query($db,$deleteSql) or die("DELETE CLIENTE CONDICION".mysqli_error($db));

		foreach ($listdata as  $row) {
			$nomcondicion=$row->name;
			$itemsNomCondicion=explode("/",$nomcondicion);
			$idCondicion=$itemsNomCondicion[2];
			$sqlInsert="INSERT INTO clientecondicion (idcondicion,idcliente,ischecked) VALUES";
			$sqlInsert.=" ( '".$idCondicion."',".$idcliente.",1)";
			mysqli_query($db,$sqlInsert) or die("INSERT CLIENTE CONDICION".mysqli_error($db));
			  
		}
		mysqli_close($db);
		return "1";
	}
	public function delete($idcliente)
	{
		$db=$this->connect();  
		$deleteSql="UPDATE clientecopiacertificada SET estado=0  WHERE id=".$idcliente;
		mysqli_query($db,$deleteSql) or die("DELETE CLIENTE CONDICION".mysqli_error($db));
		mysqli_close($db);
		return "1";
	}	
}<?php 

if(!class_exists('DB_Connect') ) 
    include "conexion/DB_Connect.php";


class Cliente extends DB_Connect {

	public function getListClientes($idcopiacertificada)
	{
		$db=$this->connect();
		$sql="
			SELECT id,tipopersona,t.td_abrev,numdocumento,
			(CASE tipopersona
			WHEN 'N' THEN CONCAT(apellidopaterno,' ',apellidomaterno,' ',primernombre,' ',segundonombre)
			WHEN 'J' THEN razonsocial
			ELSE '' END) AS cliente,
			(
			SELECT GROUP_CONCAT(cc.nombre SEPARATOR '/') FROM clientecondicion c INNER JOIN
			condicioncopiacertificada cc ON c.`idcondicion`=cc.id
			 WHERE c.idcliente=ccc.id
			) as condicion

			 FROM clientecopiacertificada ccc
			INNER JOIN tipodocumento t ON ccc.tipodocumento=t.idtipdoc
			WHERE idcopiacertificada=".$idcopiacertificada." AND estado=1";
		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$data=array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{	
			$row["nrow"]=$i+1;
			$data[]=$row;
			$i++;
		}
		mysqli_free_result($query);
		mysqli_close($db);
		return $data;

	}
	public function addCliente($obj)
	{

		$db=$this->connect();
		$idcliente="";
	 	$razonsocial="";
	 	$domfiscal="";
	 	
	 	
	 	$idcopiacertificada="";
	 	if(isset($obj->idcopiacertificada))
			$idcopiacertificada=$obj->idcopiacertificada;

	 	if(isset($obj->idcliente))
			$idcliente=$obj->idcliente;
		

		$tipopersona="";
	 	if(isset($obj->tipopersona))
			$tipopersona=$obj->tipopersona;

		$tipodocumento="";
	 	if(isset($obj->tipodocumento))
			$tipodocumento=$obj->tipodocumento;

		$numdocumento="";
	 	if(isset($obj->numdocumento))
			$numdocumento=trim($obj->numdocumento);

		$apellidopaterno="";
	 	if(isset($obj->apellidopaterno))
			$apellidopaterno=trim(strtoupper($obj->apellidopaterno));

		$apellidomaterno="";
	 	if(isset($obj->apellidomaterno))
			$apellidomaterno=trim(strtoupper($obj->apellidomaterno));

		$primernombre="";
	 	if(isset($obj->primernombre))
			$primernombre=trim(strtoupper($obj->primernombre));


		$segundonombre="";
	 	if(isset($obj->segundonombre))
			$segundonombre=trim(strtoupper($obj->segundonombre));

		$razonsocial="";
	 	if(isset($obj->razonsocial))
			$razonsocial=trim(strtoupper($obj->razonsocial));

		$ubigeo="";
	 	if(isset($obj->ubigeo))
			$ubigeo=$obj->ubigeo;

		$estadocivil="0";
	 	if(isset($obj->estadocivil))
			$estadocivil=$obj->estadocivil;

		$direccion="";
	 	if(isset($obj->direccion))
			$direccion=strtoupper($obj->direccion);

		$sexo="";
	 	if(isset($obj->sexo))
			$sexo=$obj->sexo;

		$numpartida="";
	 	if(isset($obj->numpartida))
			$numpartida=$obj->numpartida;

		$sql="";

		if($tipopersona=="N"){
			$nombre=$apellidopaterno." ".$apellidomaterno.", ".$primernombre." ".$segundonombre;
			$nombre=strtoupper($nombre);
			$nombre=trim($nombre);
			
			$razonsocial="";
		}
		else if($tipopersona=="J"){
			$nombre="";
			$domfiscal=$direccion;
			//$direccion="";
			$apellidopaterno="";
			$apellidomaterno="";
			$primernombre="";
			$segundonombre="";
			$estadocivil="0";
			$sexo="";

		}


		if($estadocivil=="")
			$estadocivil="0";
		if($idcliente=="")
		{
			if($numdocumento!="")
			{
				$sqlVerify="SELECT idcliente FROM cliente WHERE numdoc='".$numdocumento."' ";
				$queryVerify=mysqli_query($db,$sqlVerify) or die(mysqli_error($db));
				$numrowverify=mysqli_num_rows($queryVerify);
				if($numrowverify==0)
				{

					    $consulclien=mysqli_query($db,"Select idcliente from cliente order by idcliente DESC LIMIT 1") or die(mysqli_error($db));

						$rowclin = mysqli_fetch_array($consulclien);

						$numeroc=$rowclin['idcliente'];
						$sumac= intval($numeroc) + 1;
						$cantidadc= strlen($sumac);


						 switch ($cantidadc) {
							case "1":
							$ncliente="000000000".$sumac;
							break;
							case "2":
							$ncliente="00000000".$sumac;	
							break;
							case "3":
							$ncliente="0000000".$sumac;
							break;
							case "4":
							$ncliente="000000".$sumac;	
							break;
							case "5":
							$ncliente="00000".$sumac;
							break;
							case "6":
							$ncliente="0000".$sumac;	
							break;		
							case "7":
							$ncliente="000".$sumac;	
							break;	
							case "8":
							$ncliente="00".$sumac;	
							break;	
							case "9":
							$ncliente="0".$sumac;	
							break;
							case "10":
							$ncliente=$sumac;	
							break;			
						}
					
					$sqlcliente="INSERT INTO cliente (idcliente,tipper,idtipdoc,numdoc,apepat,apemat,prinom,segnom,razonsocial,nombre,direccion,domfiscal,idubigeo,idestcivil,sexo) VALUES (";
					$sqlcliente.="

					'".$ncliente."',
					'".$tipopersona."',
					".$tipodocumento.",
					'".$numdocumento."',
					'".$apellidopaterno."',
					'".$apellidomaterno."',
					'".$primernombre."',
					'".$segundonombre."',
					'".$razonsocial."',
					'".$nombre."',
					'".$direccion."',
					'".$domfiscal."',
					'".$ubigeo."',
					".$estadocivil.",
					'".$sexo."'
					)
					";
					//die($sqlcliente);
					mysqli_query($db,$sqlcliente) or die("INSERT CLIENTE xyz".mysqli_error($db));

				}
			}

			$sql="INSERT INTO clientecopiacertificada(tipopersona,tipodocumento,numdocumento,apellidopaterno,apellidomaterno,primernombre,segundonombre,nombre,razonsocial,direccion,ubigeo,estadocivil,sexo,idcopiacertificada,numpartida) VALUES (
			'".$tipopersona."',
			".$tipodocumento.",
			'".$numdocumento."',
			'".$apellidopaterno."',
			'".$apellidomaterno."',
			'".$primernombre."',
			'".$segundonombre."',
			'".$nombre."',
			'".$razonsocial."',
			'".$direccion."',
			'".$ubigeo."',
			".$estadocivil.",
			'".$sexo."',
			".$idcopiacertificada.",
			'".$numpartida."'
			)";



		}else {
			$sql="UPDATE clientecopiacertificada
				SET 
				tipopersona='".$tipopersona."',
				tipodocumento=".$tipodocumento.",
				numdocumento='".$numdocumento."',
				apellidopaterno='".$apellidopaterno."',
				apellidomaterno='".$apellidomaterno."',
				primernombre='".$primernombre."',
				segundonombre='".$segundonombre."',
				razonsocial='".$razonsocial."',
				direccion='".$direccion."',
				ubigeo='".$ubigeo."',
				estadocivil=".$estadocivil.",
				sexo='".$sexo."',
				idcopiacertificada=".$idcopiacertificada."
				WHERE id=".$idcliente."
					
			";
		}

//		die($sql);
		$query=mysqli_query($db,$sql) or die("INSERT CONTRATANTE ".mysqli_error($db));
		mysqli_close($db);
		return "1";
	}
	public function getListCondicionByIdCliente($idcliente)
	{ 
		$db=$this->connect();

	
	$sql="SELECT t.id,CONCAT(t.name,'/',IFNULL(t.ischecked,'0'),'/',t.id) AS name,t.level,fkid,t.ischecked FROM (
			SELECT id,nombre AS name,level,fkid,
			(SELECT ischecked FROM clientecondicion WHERE idcondicion=c.id AND idcliente=".$idcliente.") AS ischecked
			FROM condicioncopiacertificada c 
			) AS t";

		$query=mysqli_query($db,$sql) or die("Error ".mysqli_error($db));
		$all= array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{
			$all[]=$row;
		}
		$list=array();
		foreach ($all as $val) {
			if($val["level"]==0)
			{	

				$array=array();
				foreach ($all as $row) {
					if($row["level"]==1 && $val["id"]==$row["fkid"]){
						array_push($array,$row);
					}
				}	
				
			}
			$val["children"]=$array;
			$list[]=$val;
		}
		mysqli_close($db);

		return $list;
	}
	public function addCondicionCliente($obj)
	{
		$db=$this->connect();  
		$idcliente=$obj->idcliente;
		$listdata=$obj->listdata;
		$deleteSql="DELETE FROM clientecondicion WHERE idcliente=".$idcliente;
		mysqli_query($db,$deleteSql) or die("DELETE CLIENTE CONDICION".mysqli_error($db));

		foreach ($listdata as  $row) {
			$nomcondicion=$row->name;
			$itemsNomCondicion=explode("/",$nomcondicion);
			$idCondicion=$itemsNomCondicion[2];
			$sqlInsert="INSERT INTO clientecondicion (idcondicion,idcliente,ischecked) VALUES";
			$sqlInsert.=" ( '".$idCondicion."',".$idcliente.",1)";
			mysqli_query($db,$sqlInsert) or die("INSERT CLIENTE CONDICION".mysqli_error($db));
			  
		}
		mysqli_close($db);
		return "1";
	}
	public function delete($idcliente)
	{
		$db=$this->connect();  
		$deleteSql="UPDATE clientecopiacertificada SET estado=0  WHERE id=".$idcliente;
		mysqli_query($db,$deleteSql) or die("DELETE CLIENTE CONDICION".mysqli_error($db));
		mysqli_close($db);
		return "1";
	}	
}