<?php 
 

if(!class_exists('DB_Connect') ) 
    include "conexion/DB_Connect.php";

 require_once "librerias/parser/vendor/autoload.php";
 use UAParser\Parser; 
class Login extends DB_Connect {
        
    /**
     * Constructor de clase
     */
    function my_status_header($setHeader=null) {
        static $theHeader=null;
        //if we already set it, then return what we set before (can't set it twice anyway)
        if($theHeader) {return $theHeader;}
        $theHeader = $setHeader;
        header('HTTP/1.1 '.$setHeader);
        return $setHeader;
    } 



    public function getLogin($get_data)
       {      
  
      $data=json_decode($get_data);
      $connect=$this->connect();

      $usuario=isset($data->user)?$data->user:"";
      $clave=isset($data->password)?$data->password:"";
      $enSession=false;
      
  //    die($clave);
    if($usuario!="" && $clave!=""){
     //   mysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);

        $usuario=addslashes($usuario);
        $clave=addslashes($clave);
        $stmt = $connect->prepare("select id,nombres,apellidos,idacceso from notatapu_control_instrumento.usuario where estado=1 and idacceso>0 and usuario=? and clave=?");
        $stmt->bind_param("ss", $usuario,$clave);
        $stmt->execute();
        $stmt->bind_result($id, $nombres, $apellidos,$idacceso);  // Reemplaza los nombres de columna con tus nombres reales

        //$result = $stmt->get_result();
         // var_dump($nombres);
        if ($stmt->fetch()) {
              $enSession=true;

            $ges_id=$id;
            $ges_nombre=$nombres." ".$apellidos;
            $ges_rol=$idacceso;
            $ges_code=$id;
            $_SESSION["lid"]=$ges_id;
          //  var_dump($nombres);
            
        } else {
            // No se encontraron resultados
        }
      //  return;

        /*
        while ($row = $result->fetch_assoc()) {
            $enSession=true;

            $ges_id=$row["id"];
            $ges_nombre=$row["nombres"]." ".$row["apellidos"];
            $ges_rol=$row["idacceso"];
            $ges_code=$row["id"];
            $_SESSION["lid"]=$ges_id;
         }
         */

        if($enSession){
            $agenteDeUsuario = $_SERVER["HTTP_USER_AGENT"];
            $parseador = Parser::create();
            $resultado = $parseador->parse($agenteDeUsuario);
            $navegador = $resultado->ua->toString();
            $sistema = $resultado->os->toString();
            $ip=$this->get_client_ip();

/*
            $sql="INSERT INTO notatapu_control_instrumento.registro_sesion_usuarios (IDUSUARIO,fecha,hora,usuario,clave,ip,sistemaoperativo,navegador) VALUES(?,current_date(),current_time(),?,?,?,?,?)";

            $stmt = $connect->prepare($sql);
            $stmt->bind_param("ssssss", $ges_id,$usuario,$clave,$ip,$sistema,$navegador);
            $stmt->execute();
*/
            $token=$this->getTokenSeguridad($ges_id,$usuario);
            $list=array(NAME_TOKEN=>$token,'msg'=>'correcto','rol'=>$ges_rol,"keyname"=>base64_encode($ges_nombre),"keycode"=> base64_encode($ges_code));
            
            



        }else{
            $list=array('msg'=>'Datos no encontrados. !');
        } 

        $stmt->close();
        $connect->close();
        return ($list);
    }else{
            $list=array('msg' => 'Datos Vacios');
        return ($list);
    }
}
private $clainsWb="http://schemas.xmlsoap.org/ws/2005/05/identity/claims/";
private function getTokenSeguridad($xid,$xnombre)
{
    include("libs/jwt.php");
    require_once 'conexion/Clvs.php';

    $xuuid=bin2hex($xid);
    $time = time();
    $items = array(
             'iat' => $time, // Tiempo que inició el token
             'exp' => $time + (21600), // Tiempo que expirará el token (+1 hora)
             //'exp' => $time + (300), // 5 minutos

             'data' => array( // información del usuario
                      'nameidentifier' => $xid,
                      'name' => $xnombre,
                 ),

             //'data' => array( // información del usuario
                      $this->clainsWb.'nameidentifier' => $xid,
                      $this->clainsWb.'name' => $xnombre,
              //    ),
             'payload'=>array(
                    'UUID'=>$xuuid
                  )
              );

              $token = JWT::encode($items, KEY_SECRET,"HS384");
              //$_SESSION[NAME_TOKEN]=$token;
              return $token;
}
public function cerrarSesion()
{
  
  
    require_once 'conexion/Clvs.php';
    unset($_SESSION["PXNOTARIA"]);
    unset($_SESSION["USER_ELECT_NOT"]);
    unset($_SESSION["NUMDOC"]);
    unset($_SESSION["XRUC"]);
    unset($_SESSION["CORREO"]);
    unset($_SESSION[NAME_TOKEN]);
    unset($_COOKIE["CK".NAME_TOKEN]);

    unset($_SESSION["UUID"]);
    return  array('0' =>'session cerrada');
}

public function getTokenSeguridadProcesos()
{

  $headers = apache_request_headers();
  $token=($headers["Authorization"]);
  if(!class_exists('jwt') ) 
      include("libs/jwt.php");
  if(!class_exists('Clvs') ) 
     require_once 'conexion/Clvs.php';
   
    try{
      $get_values = JWT::decode($token, KEY_SECRET, array('HS256'));
      $data=$get_values->data;
      $xuuid=($data->id);
      var_dump($data);
      /*
      if($xuuid!=$sessuuid){
        echo json_encode(array('status' =>"401" ,"msg"=>"Código no Válido" ));
        die();
      }*/
    }catch (Exception $e)
    {
      if($e->getMessage() == "Expired token"){
        echo json_encode(array('status' =>"419" ,"msg"=>"Código Expirado" ));
        die();
      }else{
        echo json_encode(array('status' =>"400" ,"msg"=>"Error interno de Código" ));
        die();
      }
    }
}
public function getVerificarSesion()
{
  $db=$this->connect();

  //validamos el token

//  Utiles::getTokenValidation();
   if(isset($_SESSION["PXNOTARIA"])){
   
//    if(isset($_SESSION["PXNOTARIA"])){
        $data=array('msg'=>'si','id_user'=>$_SESSION["PXNOTARIA"],'nombre'=>$_SESSION["USER_ELECT_NOT"],'numdoc'=>$_SESSION["NUMDOC"],'correo'=>$_SESSION["CORREO"],'rol'=>$_SESSION["ROL"]);
      }
      else{
       $data=array('msg'=>'si','id_user'=>58,'nombre'=>"Prueba",'numdoc'=>"123",'correo'=>"abc@gmail.com");
        
   //      $data=array('msg'=>'no');
      }
        return ($data);
}
 private function get_client_ip() {
        $ipaddress = '';
        if (getenv('HTTP_CLIENT_IP'))
            $ipaddress = getenv('HTTP_CLIENT_IP');
        else if(getenv('HTTP_X_FORWARDED_FOR'))
            $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
        else if(getenv('HTTP_X_FORWARDED'))
            $ipaddress = getenv('HTTP_X_FORWARDED');
        else if(getenv('HTTP_FORWARDED_FOR'))
            $ipaddress = getenv('HTTP_FORWARDED_FOR');
        else if(getenv('HTTP_FORWARDED'))
           $ipaddress = getenv('HTTP_FORWARDED');
        else if(getenv('REMOTE_ADDR'))
            $ipaddress = getenv('REMOTE_ADDR');
        else
            $ipaddress = 'UNKNOWN';
        return $ipaddress;
  }

}
?>