<?php 

if(!class_exists('DB_Connect') ) 
    include "conexion/DB_Connect.php";
class Usuario extends DB_Connect {
	public function getList($data)
	{
	    $info=json_decode($data);
    	$db=$this->connect();
    	
    	$nombreusuario=isset($info->nombreusuario)?$info->nombreusuario:"";
		$sql=" SELECT id,usuario,fecharegistro,abrev_usuario as abrev, estado,idacceso,nombres,apellidos FROM usuario where estado=1 ";
		    if($nombreusuario!="")
		        $sql.=" AND concat(nombres,' ',apellidos)  like '%".$nombreusuario."%'";
		
		$sql.=" order by id desc ";
		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$data=array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{	
			$data[]=$row;
			$i++;
		}
		mysqli_free_result($query);
		mysqli_close($db);
		return $data;
	}

	public function addUsuario($obj)
	{

		$db=$this->connect();

		$data=$obj->values;
        $nombres=isset($data->nombres)?$data->nombres:"";
        $apellidos=isset($data->apellidos)?$data->apellidos:"";
        $usuario=isset($data->usuario)?$data->usuario:"";
        $clave=isset($data->clave)?$data->clave:"";
        $acceso=isset($data->acceso)?$data->acceso:"";
        $abreviado=isset($data->abreviado)?$data->abreviado:"";
        
        $sqlValidar="SELECT 1 as existe FROM notatapu_control_instrumento.usuario WHERE usuario='".$usuario."' and estado=1";
        $queryValidar=mysqli_query($db,$sqlValidar) or die(mysqli_error($db));
        $rowValidar=mysqli_fetch_assoc($queryValidar);
        $existe="0";
        if(isset($rowValidar["existe"]))
            $existe=$rowValidar["existe"];
        if($existe==0){
		$sql="INSERT INTO notatapu_control_instrumento.usuario (usuario,clave,estado,idacceso,nombres,apellidos,abrev_usuario,fecharegistro) VALUES (";
					$sql.="
					?,?,1,?,?,?,?,current_date())";
		$stmt= $db->prepare($sql);
		$stmt->bind_param("ssisss",$usuario,$clave,$acceso,$nombres,$apellidos,$abreviado);
		$stmt->execute();
        		return "1";
        }else
        		return "0";
        
	
	}
	public function updateEscritura($obj)
	{

		$db=$this->connect();

		$data=$obj->obj;

		$idkardex=isset($data->idkardex)?$data->idkardex:"";
		$id=isset($data->id)?$data->id:"";
		$kardex=isset($data->kardex)?$data->kardex:"";
		$acto=isset($data->acto)?strtoupper($data->acto):"";
		$contratante=isset($data->contratante)?strtoupper($data->contratante):"";
		$telefono=isset($data->telefono)?$data->telefono:"";
		$num_testimonio=isset($data->num_testimonio)?$data->num_testimonio:"";
		$fecha_firma=isset($data->fecha_firma)? date("Y-m-d",strtotime($data->fecha_firma)):"";
		$parte=isset($data->idparte)?$data->idparte:"";

		
		$num_solicitud=isset($data->num_solicitud)?$data->num_solicitud:"";
		$oficina=isset($data->oficina)?strtoupper($data->oficina):"";
		$arancel=isset($data->arancel)?$data->arancel:"";
		$fecha_parte_presentado=isset($data->fecha_parte_presentado)?date("Y-m-d",strtotime($data->fecha_parte_presentado)):"";
		$num_titulo=isset($data->num_titulo)?strtoupper($data->num_titulo):"";
		$id_estado_registral=isset($data->id_estado_registral)?$data->id_estado_registral:"";
		$fecha_subsanacion=isset($data->fecha_subsanacion)?date("Y-m-d",strtotime($data->fecha_subsanacion)):"";
		$fecha_inscripcion=isset($data->fecha_inscripcion)? date("Y-m-d",strtotime($data->fecha_inscripcion)):"";


		$observacion_inscripcion=isset($data->observacion_inscripcion)?strtoupper($data->observacion_inscripcion):"";
		$observacion_notas=isset($data->observacion_notas)?strtoupper($data->observacion_notas):"";
		$placa=isset($data->placa)?strtoupper($data->placa):"";

		

		if($fecha_firma=="")
				$fecha_firma="0000-00-00";

		if($fecha_subsanacion=="")
				$fecha_subsanacion="0000-00-00";

		if($fecha_inscripcion=="")
				$fecha_inscripcion="0000-00-00";

		if($fecha_parte_presentado=="")
				$fecha_parte_presentado="0000-00-00";

		


		$sql="update notatapu_control_instrumento.kardex 
			SET kardex=? ,acto=?,contratante=?,telefono=?, observacion_inscripcion=?,observacion_notas=? WHERE id=?";

		$stmt= $db->prepare($sql);
		$stmt->bind_param("sssssss", $kardex,$acto,$contratante,$telefono,$observacion_inscripcion,$observacion_notas,$idkardex);
		$stmt->execute();


		$sqlVerificarTestimonio="SELECT id From notatapu_control_instrumento.firmado_notario where idcontrolkardex=".$id;
		$queryVerificar=mysqli_query($db,$sqlVerificarTestimonio) or die(mysqli_error($db));
		$sql="";
		if(mysqli_num_rows($queryVerificar)==0)
		{
				$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (fecha_firma,num_testimonio,idparte,placa,idcontrolkardex) 

				VALUES (?,?,?,?,?)";
		}else{
				$sql="update notatapu_control_instrumento.firmado_notario
				set fecha_firma=?,num_testimonio=?,idparte=?,placa=?
				where idcontrolkardex=? ";

		}
	//	die($fecha_firma);
			$stmt= $db->prepare($sql);
			$stmt->bind_param("ssiss",$fecha_firma,$num_testimonio,$parte,$placa,$id);
		//	var_dump($db);
			$stmt->execute();



		$sqlVerificarRegistros="SELECT id From notatapu_control_instrumento.registros_publicos where idcontrolkardex=".$id;
		$queryVerificarRegistros=mysqli_query($db,$sqlVerificarRegistros) or die(mysqli_error($db));
		$sql="";

		//die("=>".mysqli_num_rows($queryVerificarRegistros));
		if(mysqli_num_rows($queryVerificarRegistros)==0)
		{
			$sql="INSERT INTO notatapu_control_instrumento.registros_publicos (num_solicitud,oficina,arancel,fecha_parte_presentado,num_titulo,id_estado_registral,fecha_subsanacion,fecha_inscripcion,observacion_inscripcion,observacion_notas,idcontrolkardex) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?)";

		}else{
			$sql="UPDATE notatapu_control_instrumento.registros_publicos 
					SET num_solicitud=?,oficina=?,arancel=?,fecha_parte_presentado=?,num_titulo=?,id_estado_registral=?,fecha_subsanacion=?,
					fecha_inscripcion=?,
					observacion_inscripcion=?,
					observacion_notas=?
				WHERE idcontrolkardex=?
				";
			
		}

	//	die($sql);
		//	die("=> ".$fecha_parte_presentado);
			$stmt= $db->prepare($sql);
			$stmt->bind_param("sssssssssss",$num_solicitud,$oficina,$arancel,$fecha_parte_presentado,$num_titulo,$id_estado_registral,$fecha_subsanacion,$fecha_inscripcion,$observacion_inscripcion,$observacion_notas,$id);
		//	var_dump($stmt);
			$stmt->execute();


		return "1";
	}
    public function deleteUsuario($obj)
    {
        $db=$this->connect();
        $id=isset($obj->id)?$obj->id:"0";
        $sql="UPDATE  notatapu_control_instrumento.usuario set estado=0 where id=?";
        	$stmt= $db->prepare($sql);
			$stmt->bind_param("i",$id);
		//	var_dump($stmt);
			$stmt->execute();
		
		return "1";
			
    }
}