<?php
require_once('models/Protocolar.php');


class ProtocolarApi 
{

	public function API()
     {
         header('Content-Type: application/JSON');                
         $method = $_SERVER['REQUEST_METHOD'];
         switch ($method) {
         case 'GET'://consulta
             $this->get();
             break; 
        case 'POST'://consulta
             $this->post();
             break;     
         default://metodo NO soportado
             echo 'METODO NO SOPORTADO';
             break;
         }
     }

    private function my_status_header($setHeader=null) {
        static $theHeader=null;
        //if we already set it, then return what we set before (can't set it twice anyway)
        if($theHeader) {return $theHeader;}
        $theHeader = $setHeader;
        header('HTTP/1.1 '.$setHeader);
        return $setHeader;
    }
    
    function response($code=200, $status="", $message="") 
       {
       $this->my_status_header($code);
        if( !empty($status) && !empty($message) )
           {
            $response = array("status" => $status ,"message"=>$message);  
            echo json_encode($response,JSON_PRETTY_PRINT);    
            } 
    }

    	function get()
    	{
    		$model = new Protocolar();
	        if(isset($_GET['info']))
	        {
	           switch ($_GET['info']) {
	                case 'list':
		                 $response=array(); 
		                 $data=$_GET["data"];
	                	 $response["data"]=$model->getList($data); 

                         $response["total"]=$model->getCountList($data); 
	                	 echo json_encode($response);
	                break;

	                case 'acto':
		                 $response=array(); 
	                	 $response["data"]=$model->getActoList($_GET["data"]); 
	                	 echo json_encode($response);
	                break;
	                
                    case 'responsable':
		                 $response=array(); 
	                	 $response["data"]=$model->getResponsable(); 
	                	 echo json_encode($response);
	                break;
	                
	                 case 'verificarnuevos':
		                 $response=array(); 
	                	 $response["data"]=$model->getVerificarNuevos($_GET["data"]); 
	                	 echo json_encode($response);
	                break;
	        	}		
	    	}
    	}

    	function post()
    	{
    		$model = new Protocolar();
	        if(isset($_GET['info']))
	        {
	           switch ($_GET['info']) {
	                case 'addKardex':
		                 $response=array(); 
	 	                 $obj = json_decode( file_get_contents('php://input') );   
	                	 $response["response"]=$model->addKardex($obj); 
	 	                // die("jnc");

	                	 echo json_encode($response);
	                break;

                    case 'addFilaKardex':
                         $response=array(); 
                         $obj = json_decode( file_get_contents('php://input') );   
                         $response["response"]=$model->addFilaKardex($obj); 
                         echo json_encode($response);
                    break;

                     case 'addFirmadoNotario':
                         $response=array(); 
                         $obj = json_decode( file_get_contents('php://input') );   
                         $response["response"]=$model->addFirmadoNotario($obj); 
                         echo json_encode($response);
                    break;


                     case 'updateEscritura':
                         $response=array(); 
                         $obj = json_decode( file_get_contents('php://input') );   
                         $response["response"]=$model->updateEscritura($obj); 
                         echo json_encode($response);
                    break;
                      case 'delete':
                         $response=array(); 
                         $obj = json_decode( file_get_contents('php://input') );   
                         $response["response"]=$model->deleteEscritura($obj); 
                         echo json_encode($response);
                    break;
                    
                     case 'updateCampoInstrumento':
                         $response=array(); 
                         $obj = json_decode( file_get_contents('php://input') );   
                         $response["response"]=$model->updateCampoInstrumento($obj); 
                         echo json_encode($response);
                    break;
                    
                    
                    
                    
	              
	        	}		
	    	}
    	}
    
}