<?php 

if(!class_exists('DB_Connect') ) 
    include "conexion/DB_Connect.php";
class Protocolar extends DB_Connect {
	public function getList($data)
	{


		$data=json_decode($data);

		$tipoInstrumento=isset($data->tipoInstrumento)?$data->tipoInstrumento:"";
		$contratante=isset($data->contratante)?trim($data->contratante):"";
		$acto=isset($data->acto)?trim($data->acto):"";
		$num_escritura=isset($data->num_escritura)?trim($data->num_escritura):"";
		$placa=isset($data->placa)?trim($data->placa):"";
		$pageIndex=isset($data->pageIndex)?trim($data->pageIndex):"0";
		$pageSize=isset($data->pageSize)?trim($data->pageSize):"0";
        $titulo=isset($data->titulo)?trim($data->titulo):"";
        $solicitud=isset($data->solicitud)?trim($data->solicitud):"";
        
        
        //die($solicitud);
        $pageIndex=$pageIndex+1;



		$db=$this->connect();
		$sql="

		SELECT c.id,k.id AS idkardex,kardex,escritura, acto,
		k. contratante,
		k.telefono, k.correo,IFNULL(DATE_FORMAT(k.fecha_firma, '%d/%m/%Y'),'')AS fecha_firma,
		IFNULL(k.num_testimonio,'') AS num_testimonio,tp.nombre AS parte,tp.id as idparte
		 ,rr.`num_solicitud`,rr.`oficina`,rr.`arancel`,
		DATE_FORMAT(rr.fecha_parte_presentado, '%d/%m/%Y') as fecha_parte_presentado,
		 rr.`num_titulo`, rr.`id_estado_registral`,
		 DATE_FORMAT(rr.fecha_subsanacion, '%d/%m/%Y') as fecha_subsanacion,
		  DATE_FORMAT(rr.fecha_inscripcion, '%d/%m/%Y') as fecha_inscripcion,

		 rr.`observacion_inscripcion`,rr.`observacion_notas`,
		 ee.nombre as nombre_registral,
		 placa,us.abrev_usuario as usuario,k.idusuario,
		 teer.nombre as estado_registral

		 FROM notatapu_control_instrumento.control_kardex c 
		 INNER JOIN notatapu_control_instrumento.kardex k ON c.idkardex=k.id
		 LEFT JOIN notatapu_control_instrumento.firmado_notario f ON  c.id=f.idcontrolkardex
		 LEFT JOIN notatapu_control_instrumento.`registros_publicos` rr ON c.id=rr.`idcontrolkardex`
		 LEFT JOIN notatapu_control_instrumento.`estadoregistral` ee on rr.id_estado_registral=ee.idestreg
		 LEFT JOIN notatapu_control_instrumento.tipo_parte tp on f.idparte=tp.id
		 LEFT JOIN notatapu_control_instrumento.tipo_estado_rrpp teer  on rr.id_estado_registral=teer.id
		 
		 
		 inner join notatapu_control_instrumento.usuario us on c.idusuario=us.id
		 WHERE c.estado=1 and idtipoinstrumento=".$tipoInstrumento;

		 if($contratante!="")
		 	$sql.=" AND k.contratante like '%".$contratante."%'";
		 
		 if($acto!="")
		 	$sql.=" AND k.acto like '%".$acto."%'";

		 if($num_escritura!="" && intval($num_escritura)>0)
		 	$sql.=" AND k.escritura = ".intval($num_escritura)."";
		 
		 if($placa!="")
		 	$sql.=" AND f.placa = '".$placa."'";
		 	
		 if($titulo!="")
		 	$sql.=" AND rr.num_titulo LIKE '%".$titulo."%'";
		 
		 if($solicitud!="")
		 	$sql.=" AND rr.num_solicitud LIKE '%".$solicitud."%'";
		 

		 $sql.=" ORDER BY year(k.fecha_registro) desc,
		            cast(escritura as unsigned) desc,c.id desc, k.id desc
	 ";
		


		 $pageInit=0;
        if($pageIndex!="" && $pageIndex>0)
            $pageInit=((int)($pageIndex-1)*(int)$pageSize);
        
        if($pageSize!="")
            $sql.= " LIMIT ".($pageInit>0?$pageInit.",":"")." ".$pageSize;


	//	die($sql);		

		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$numRows=mysqli_num_rows($query);
		$data=array();
		$i=0;
		if($numRows>0){
				while($row=mysqli_fetch_assoc($query))
				{	
					if($row["fecha_firma"]=="01/01/1970")
						$row["fecha_firma"]="";
						
					if($row["fecha_firma"]=="1970-01-01")
						$row["fecha_firma"]="";

					if($row["fecha_parte_presentado"]=="01/01/1970")
						$row["fecha_parte_presentado"]="";

					if($row["fecha_subsanacion"]=="01/01/1970")
						$row["fecha_subsanacion"]="";
					
					if($row["fecha_inscripcion"]=="01/01/1970")
						$row["fecha_inscripcion"]="";
						
					if($row["telefono"]==null)
						$row["telefono"]="";
					
					if($row["contratante"]==null)
						$row["contratante"]="";
					
					if($row["correo"]==null)
						$row["correo"]="";
					
					if($row["kardex"]==null)
						$row["kardex"]="";
					
					if($row["placa"]==null)
						$row["placa"]="";
					
                    
                    if($row["escritura"]!="")
                        $row["escritura"]=str_pad($row["escritura"],4, "0", STR_PAD_LEFT);
                     
                     
				//	$row["nrow"]=$i+1;
					$data[]=$row;
				//	$i++;
				}
				mysqli_free_result($query);
				mysqli_close($db);
			}else{
			
			}
		return $data;

	}
	
	private function getNumCaracteres($cantidad,$valor)
	{
	    $i=0;
	    $valor=trim($valor);
	    $lenValor=strlen($valor);
	    if($cantidad>$lenValor){
	    $recorrido=$cantidad-$lenValor;
	    
	       while($i<=$recorrido){
	           
	           $i++;
	       }
	    }
	}

		public function getCountList($data)
	{
		$data=json_decode($data);

		$tipoInstrumento=isset($data->tipoInstrumento)?$data->tipoInstrumento:"";
		$contratante=isset($data->contratante)?trim($data->contratante):"";
		$acto=isset($data->acto)?trim($data->acto):"";
		$num_escritura=isset($data->num_escritura)?trim($data->num_escritura):"";
		$placa=isset($data->placa)?trim($data->placa):"";
        $solicitud=isset($data->solicitud)?trim($data->solicitud):"";
        $titulo=isset($data->titulo)?trim($data->titulo):"";
        $solicitud=isset($data->solicitud)?trim($data->solicitud):"";
        
		$db=$this->connect();
		$sql="

		SELECT count(1) as total
		 FROM notatapu_control_instrumento.control_kardex c 
		 INNER JOIN notatapu_control_instrumento.kardex k ON c.idkardex=k.id
		 LEFT JOIN notatapu_control_instrumento.firmado_notario f ON  c.id=f.idcontrolkardex
		 LEFT JOIN notatapu_control_instrumento.`registros_publicos` rr ON c.id=rr.`idcontrolkardex`
		 LEFT JOIN notatapu_control_instrumento.`estadoregistral` ee on rr.id_estado_registral=ee.idestreg
		 LEFT JOIN notatapu_control_instrumento.tipo_parte tp on f.idparte=tp.id
		 WHERE c.estado=1 and idtipoinstrumento=".$tipoInstrumento;

		 if($contratante!="")
		 	$sql.=" AND k.contratante like '%".$contratante."%'";
		 
		 if($acto!="")
		 	$sql.=" AND k.acto like '%".$acto."%'";

		 if($num_escritura!="" && intval($num_escritura)>0)
		 	$sql.=" AND k.escritura = ".intval($num_escritura)."";
		 
		 if($placa!="")
		 	$sql.=" AND f.placa = '".$placa."'";
		 

		 	 	
		 if($titulo!="")
		 	$sql.=" AND rr.num_titulo LIKE '%".$titulo."%'";
		 	
		 if($solicitud!="")
		 	$sql.=" AND rr.num_solicitud LIKE '%".$solicitud."%'";
		 
		 	
		 

/*
		 $sql.=" ORDER BY cast(escritura as unsigned) desc , c.id desc, k.id DESC
	 ";*/
		
	//	die($sql);		

		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$numRows=mysqli_num_rows($query);
		$data=array();
		$i=0;
		$total=0;
		if($numRows>0){
				$row=mysqli_fetch_assoc($query);
				if(isset($row["total"]))
					$total=$row["total"];
				mysqli_free_result($query);
				mysqli_close($db);
			}else{
			
			}
		return $total;

	}
	public function getActoList($data)
	{
		$data=json_decode($data);
		$tipoInstrumento="0";
		$acto="";
		if(isset($data->tipoInstrumento) && $data->tipoInstrumento!="")
			$tipoInstrumento=$data->tipoInstrumento;

		if(isset($data->acto) && $data->acto!="")
			$acto=$data->acto;


		$db=$this->connect();
		$sql="SELECT idtipoacto as id ,TRIM(desacto) AS descripcion FROM tiposdeacto WHERE idtipkar=".$tipoInstrumento;

		if($acto!="")
			$sql.=" AND desacto like '%".$acto."%'";
		
		$sql.="	ORDER BY desacto LIMIT 15 ";

		//die($sql);

		$query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$data=array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{	
			$row["nrow"]=$i+1;
			$data[]=$row;
			$i++;
		}
		mysqli_free_result($query);
		mysqli_close($db);
		return $data;
	}
	public function addKardex($data)
	{
		
	
		$correlativo="";
		$idtipoacto="";
		$kardex="";
		$escritura="";
		$idtipoinstrumento="";
		$multiple="";


		$idusuario=isset($GLOBALS["idusuario"])?$GLOBALS["idusuario"]:"1";
        
       // die("=>".$idusuario);
		$db=$this->connect();

		if(isset($data->correlativo) && $data->correlativo!="")
			$correlativo=$data->correlativo;
		
		if(isset($data->idtipoacto) && $data->idtipoacto!="")
			$idtipoacto=$data->idtipoacto;
		

		if(isset($data->kardex) && $data->kardex!="")
			$kardex=$data->kardex;
		

		if(isset($data->escritura) && $data->escritura!="")
			$escritura=$data->escritura;

		if(isset($data->idtipoinstrumento) && $data->idtipoinstrumento!="")
			$idtipoinstrumento=strtoupper($data->idtipoinstrumento);
		
		if(isset($data->multiple) && $data->multiple!="")
			$multiple=$data->multiple;

		if($multiple)
		{
			$inicio=0;
			$fin=0;

			if(isset($data->inicio) && $data->inicio!="")
			$inicio=$data->inicio;

			if(isset($data->fin) && $data->fin!="")
			$fin=$data->fin;

			for ($i=$inicio; $i <=$fin ; $i++) { 

					$sql="INSERT INTO notatapu_control_instrumento.kardex (escritura,idtipoinstrumento,acto,fecha_registro,idusuario) VALUES (";
					$sql.="?,?,?,CURRENT_DATE(),?)";
					$stmt= $db->prepare($sql);
					$stmt->bind_param("ssss", $i,$idtipoinstrumento,$idtipoacto,$idusuario);
					$stmt->execute();
					$last_id = $db->insert_id;
					

					$sql="INSERT INTO notatapu_control_instrumento.control_kardex (idkardex,idusuario) VALUES (";
					$sql.="?,?)";
					$stmt= $db->prepare($sql);
					$stmt->bind_param("is", $last_id,$idusuario);
					$stmt->execute();
					$idcontrol = $db->insert_id;
					
					
					$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (idcontrolkardex) 
    				VALUES (?)";

        			$stmt= $db->prepare($sql);
        			$stmt->bind_param("s",$idcontrol);
        			$stmt->execute();
        			   
        			$sql="INSERT INTO notatapu_control_instrumento.registros_publicos (idcontrolkardex) VALUES (?)";
                    $stmt= $db->prepare($sql);
					$stmt->bind_param("s", $idcontrol);
					$stmt->execute();
				
					



			}



		}else{
				if($correlativo){
					$sqlCorrelativo=" SELECT cast(escritura as unsigned) as escritura FROM notatapu_control_instrumento.kardex where idtipoinstrumento=".$idtipoinstrumento." order by escritura desc limit 1";
					$query=mysqli_query($db,$sqlCorrelativo) or die(mysqli_error($db));
					$row=mysqli_fetch_assoc($query);
					if($row["escritura"]=="")
						$escritura="1";
					else
						$escritura=intval($row["escritura"])+1;
				}

				$sql="INSERT INTO notatapu_control_instrumento.kardex (kardex,escritura,idtipoinstrumento,acto,fecha_registro,idusuario) VALUES (?,";
					$sql.="?,?,?,CURRENT_DATE(),?)";
					$stmt= $db->prepare($sql);
					$stmt->bind_param("sssss",$kardex,$escritura,$idtipoinstrumento,$idtipoacto,$idusuario);
					$stmt->execute();
					$last_id = $db->insert_id;
/*

				$sql=" INSERT INTO notatapu_control_instrumento.kardex (kardex,escritura,idtipoinstrumento,acto) VALUES ('".$kardex."','".$escritura."','".$idtipoinstrumento."','".$idtipoacto."')";

				mysqli_query($db,$sql) or die(mysqli_error($db));
*/

					$sql="INSERT INTO notatapu_control_instrumento.control_kardex (idkardex,idusuario) VALUES (";
					$sql.="?,?)";
					$stmt= $db->prepare($sql);
					$stmt->bind_param("is", $last_id,$idusuario);
					$stmt->execute();
					$idcontrol = $db->insert_id;
					
					
					
					$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (idcontrolkardex) 
    				VALUES (?)";

        			$stmt= $db->prepare($sql);
        			$stmt->bind_param("s",$idcontrol);
        			$stmt->execute();
        			   
        			$sql="INSERT INTO notatapu_control_instrumento.registros_publicos (idcontrolkardex) VALUES (?)";
                    $stmt= $db->prepare($sql);
					$stmt->bind_param("s", $idcontrol);
					$stmt->execute();
				
					
					


		}
		return "1";
	}



	public function updateCampoInstrumento($data)
	{

//		var_dump($data);
		$id=isset($data->id)?$data->id:"";
		$campo=isset($data->campo)?$data->campo:"";
		$valor=isset($data->valor)?$data->valor:"";
        $allCamposEscritura=array("kardex","acto","contratante","correo","num_testimonio","fecha_firma","usuario");
        $allCamposFirmaNotario=array("parte","placa");
        $allCamposRegistrosPubl=array("num_solicitud","oficina","arancel","num_titulo","estado_registral","observacion_inscripcion","observacion_notas","fecha_parte_presentado","fecha_subsanacion","fecha_inscripcion");
        
        
      
        
         $db=$this->connect();
        if (in_array($campo, $allCamposEscritura)) {
            
            if($campo=="fecha_firma")
                $valor=$this->getFechaFormatoSql($valor);
             
            if($campo=="usuario")
                {
                        $sqlIdUsuario=" SELECT id FROM notatapu_control_instrumento.usuario where abrev_usuario='".$valor."'";
                    	$queryIdUsuario=mysqli_query($db,$sqlIdUsuario) or die(mysqli_error($db));
                    	$rowUsuario=mysqli_fetch_assoc($queryIdUsuario);
                    	$idUsuario=isset($rowUsuario["id"])?$rowUsuario["id"]:"0";
                    	
                    $campo="c.idusuario";
                    $valor=$idUsuario;
                }
                
           //     die($valor);
            $sql="UPDATE notatapu_control_instrumento.kardex k inner join 
                notatapu_control_instrumento.control_kardex c  ON c.idkardex=k.id
            SET $campo=? WHERE c.id=?";
           
    		$stmt= $db->prepare($sql);
    		$stmt->bind_param("si",$valor,$id);
    		$stmt->execute();
        }
        if (in_array($campo, $allCamposFirmaNotario)) {
           //  die($campo);
            if($campo=="parte"){
                $campo="idparte";
                switch($valor)
                {
                    case "Fisico": $valor=1; break;
                    case "Digital": $valor=2; break;
                    case "No Inscribible": $valor=3; break;
                    case "Sin Parte": $valor=4; break;
                    case "Subsanacion": $valor=5; break;
                    case "No Corre": $valor=6; break;
                    
                }
                
            }
            
            
            
         // die("=>".$campo);
            $sqlFirmado="UPDATE notatapu_control_instrumento.firmado_notario 
            SET $campo=? WHERE idcontrolkardex=?";
    		$stmt= $db->prepare($sqlFirmado);
    		$stmt->bind_param("si",$valor,$id);
    		$stmt->execute();
        }
        if (in_array($campo, $allCamposRegistrosPubl)) {
            
             if($campo=="estado_registral"){
                $campo="id_estado_registral";
                switch($valor)
                {
                    case "Presentado": $valor=1; break;
                    case "Observado": $valor=2; break;
                    case "Subsanado": $valor=3; break;
                    case "Tachado": $valor=4; break;
                    case "Liquidado": $valor=5; break;
                    case "Inscrito": $valor=6; break;
                    
                }
                
             }
            
            if($campo=="fecha_parte_presentado" || $campo=="fecha_subsanacion"  || $campo=="fecha_inscripcion")
                $valor=$this->getFechaFormatoSql($valor);
            
            $sql="UPDATE notatapu_control_instrumento.registros_publicos
            SET $campo=? WHERE idcontrolkardex=?";
            $stmt= $db->prepare($sql);
    		$stmt->bind_param("si",$valor,$id);
    		$stmt->execute();
        }
		
		


        return "1";
		
		
	}
    
    private function getFechaFormatoSql($valor){
            if($valor!=""){
                $fecha_partes = explode('/', $valor);

                    if (count($fecha_partes) === 3) {
        
                        $anio = $fecha_partes[2];
                        $mes = $fecha_partes[1];
                        $dia = $fecha_partes[0];
                    
                        $fecha_formato_YYYY_mm_dd = "$anio-$mes-$dia";
                        return $fecha_formato_YYYY_mm_dd; 
                    } else
                    return "";
                    
            }
            return "";
        
    }

	public function addFilaKardex($data)
	{

		$db=$this->connect();


		$xid="";
	 	if(isset($data->id))
			$xid=($data->id);  
        
        $sqlIdkardex=" SELECT idkardex FROM notatapu_control_instrumento.control_kardex where id=".$xid."  limit 1";
		$query=mysqli_query($db,$sqlIdkardex) or die(mysqli_error($db));
		$row=mysqli_fetch_assoc($query);
		$idKardex=isset($row["idkardex"])?$row["idkardex"]:"1";
        $idusuario=isset($GLOBALS["idusuario"])?$GLOBALS["idusuario"]:"1";

        // die($idKardex);
		$sql="INSERT INTO  notatapu_control_instrumento.control_kardex  (idkardex,fecha_registro,idusuario) values (?,CURRENT_TIMESTAMP(),?) ";

		$stmt= $db->prepare($sql);
		$stmt->bind_param("ss",$idKardex,$idusuario);
		$stmt->execute();
		$idcontrol = $db->insert_id;
		
			$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (idcontrolkardex) 
    				VALUES (?)";
        	$stmt= $db->prepare($sql);
        	$stmt->bind_param("s",$idcontrol);
        	$stmt->execute();
        	
        			   
        	$sql="INSERT INTO notatapu_control_instrumento.registros_publicos (idcontrolkardex) VALUES (?)";
            $stmt= $db->prepare($sql);
			$stmt->bind_param("s", $idcontrol);
			$stmt->execute();

		
	}

    public function deleteEscritura($data)
    {
        	$db=$this->connect();


		$xid="";
	 	if(isset($data->idkardex))
			$xid=($data->idkardex);

        $idusuario=isset($GLOBALS["idusuario"])?$GLOBALS["idusuario"]:"0";

		$sql="UPDATE   notatapu_control_instrumento.control_kardex set estado=0, idUsuario_eliminacion=?,fecha_eliminacion=CURRENT_TIMESTAMP()  WHERE id=?";

		$stmt= $db->prepare($sql);
		$stmt->bind_param("ss",$idusuario,$xid);
		$stmt->execute();
    }


	public function addFirmadoNotario($obj)
	{

		$db=$this->connect();

		$data=$obj->myForm;


	 	
	 	$fechafirma="";
	 	if(isset($data->fechafirma))
	      $fechafirma = date("Y-m-d", strtotime($data->fechafirma));

		$idkardex="";
	 	if(isset($data->idkardex))
			$idkardex=strtoupper($data->idkardex);
		
		$parte="";
	 	if(isset($data->parte))
			$parte=strtoupper($data->parte);

		$testimonio="";
	 	if(isset($data->testimonio))
			$testimonio=strtoupper($data->testimonio);

		$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (fecha_firma,num_testimonio,parte,idkardex) VALUES (";
					$sql.="
					?,?,?,?)";
		$stmt= $db->prepare($sql);
		$stmt->bind_param("ssss", $fechafirma,$testimonio,$parte,$idkardex);
		$stmt->execute();

	
		return "1";
	}
	public function updateEscritura($obj)
	{

		$db=$this->connect();

		$data=$obj->obj;

		$idkardex=isset($data->idkardex)?$data->idkardex:"";
		$id=isset($data->id)?$data->id:"";
		$kardex=isset($data->kardex)?$data->kardex:"";
		$acto=isset($data->acto)?strtoupper($data->acto):"";
		$contratante=isset($data->contratante)?strtoupper($data->contratante):"";
		$telefono=isset($data->telefono)?$data->telefono:"";
		$num_testimonio=isset($data->num_testimonio)?$data->num_testimonio:"";
		$fecha_firma=isset($data->fecha_firma)? date("Y-m-d",strtotime($data->fecha_firma)):"";
		$parte=isset($data->idparte)?$data->idparte:"";

		
		$num_solicitud=isset($data->num_solicitud)?$data->num_solicitud:"";
		$oficina=isset($data->oficina)?strtoupper($data->oficina):"";
		$arancel=isset($data->arancel)?$data->arancel:"";
		$fecha_parte_presentado=isset($data->fecha_parte_presentado)?date("Y-m-d",strtotime($data->fecha_parte_presentado)):"";
		$num_titulo=isset($data->num_titulo)?strtoupper($data->num_titulo):"";
		$id_estado_registral=isset($data->id_estado_registral)?$data->id_estado_registral:"";
		$fecha_subsanacion=isset($data->fecha_subsanacion)?date("Y-m-d",strtotime($data->fecha_subsanacion)):"";
		$fecha_inscripcion=isset($data->fecha_inscripcion)? date("Y-m-d",strtotime($data->fecha_inscripcion)):"";


		$observacion_inscripcion=isset($data->observacion_inscripcion)?strtoupper($data->observacion_inscripcion):"";
		$observacion_notas=isset($data->observacion_notas)?strtoupper($data->observacion_notas):"";
		$placa=isset($data->placa)?strtoupper($data->placa):"";

		$idusuario=isset($GLOBALS["idusuario"])?$GLOBALS["idusuario"]:"0";

		if($fecha_firma=="")
				$fecha_firma="0000-00-00";

		if($fecha_subsanacion=="")
				$fecha_subsanacion="0000-00-00";

		if($fecha_inscripcion=="")
				$fecha_inscripcion="0000-00-00";

		if($fecha_parte_presentado=="")
				$fecha_parte_presentado="0000-00-00";

		


		$sql="update notatapu_control_instrumento.kardex 
			SET kardex=? ,acto=?,contratante=?,telefono=?, observacion_inscripcion=?,observacion_notas=?,idusuario_modifica=?,fecha_modifica=CURRENT_TIMESTAMP() WHERE id=?";

		$stmt= $db->prepare($sql);
		$stmt->bind_param("ssssssss", $kardex,$acto,$contratante,$telefono,$observacion_inscripcion,$observacion_notas,$idusuario,$idkardex);
		$stmt->execute();


		$sqlVerificarTestimonio="SELECT id From notatapu_control_instrumento.firmado_notario where idcontrolkardex=".$id;
		$queryVerificar=mysqli_query($db,$sqlVerificarTestimonio) or die(mysqli_error($db));
		$sql="";
		if(mysqli_num_rows($queryVerificar)==0)
		{
				$sql="INSERT INTO notatapu_control_instrumento.firmado_notario (fecha_firma,num_testimonio,idparte,placa,idcontrolkardex) 

				VALUES (?,?,?,?,?)";
		}else{
				$sql="update notatapu_control_instrumento.firmado_notario
				set fecha_firma=?,num_testimonio=?,idparte=?,placa=?
				where idcontrolkardex=? ";

		}
	//	die($fecha_firma);
			$stmt= $db->prepare($sql);
			$stmt->bind_param("ssiss",$fecha_firma,$num_testimonio,$parte,$placa,$id);
		//	var_dump($db);
			$stmt->execute();



		$sqlVerificarRegistros="SELECT id From notatapu_control_instrumento.registros_publicos where idcontrolkardex=".$id;
		$queryVerificarRegistros=mysqli_query($db,$sqlVerificarRegistros) or die(mysqli_error($db));
		$sql="";

		//die("=>".mysqli_num_rows($queryVerificarRegistros));
		if(mysqli_num_rows($queryVerificarRegistros)==0)
		{
			$sql="INSERT INTO notatapu_control_instrumento.registros_publicos (num_solicitud,oficina,arancel,fecha_parte_presentado,num_titulo,id_estado_registral,fecha_subsanacion,fecha_inscripcion,observacion_inscripcion,observacion_notas,idcontrolkardex) 
			VALUES (?,?,?,?,?,?,?,?,?,?,?)";

		}else{
			$sql="UPDATE notatapu_control_instrumento.registros_publicos 
					SET num_solicitud=?,oficina=?,arancel=?,fecha_parte_presentado=?,num_titulo=?,id_estado_registral=?,fecha_subsanacion=?,
					fecha_inscripcion=?,
					observacion_inscripcion=?,
					observacion_notas=?
				WHERE idcontrolkardex=?
				";
			
		}

	//	die($sql);
		//	die("=> ".$fecha_parte_presentado);
			$stmt= $db->prepare($sql);
			$stmt->bind_param("sssssssssss",$num_solicitud,$oficina,$arancel,$fecha_parte_presentado,$num_titulo,$id_estado_registral,$fecha_subsanacion,$fecha_inscripcion,$observacion_inscripcion,$observacion_notas,$id);
		//	var_dump($stmt);
			$stmt->execute();


		return "1";
	}
	public function getResponsable(){
	    
	    $db=$this->connect();
	    $sql="SELECT abrev_usuario as abrev FROM `usuario` where estado=1
            order by abrev_usuario";
        $query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$data=array();
		$i=0;
		while($row=mysqli_fetch_assoc($query))
		{	
			$data[]=$row["abrev"];
			$i++;
		}
		mysqli_free_result($query);
		mysqli_close($db);
		return $data;
	}
	
	
	public function getVerificarNuevos($obj){
	    $data=json_decode($obj);
	    $cantidadInstrumentos=isset($data->cantidadInstrumentos)?$data->cantidadInstrumentos:"";
	    $tipoInstrumento=isset($data->tipoInstrumento)?$data->tipoInstrumento:"";
	    
	    
	    $db=$this->connect();
	    $sql="SELECT count(1) as cantidad
		 FROM notatapu_control_instrumento.control_kardex c 
		 INNER JOIN notatapu_control_instrumento.kardex k ON c.idkardex=k.id
		 where c.estado=1 and k.idtipoinstrumento=".$tipoInstrumento;
//		 die($sql);
		 
        $query=mysqli_query($db,$sql) or die(mysqli_error($db));
		$row=mysqli_fetch_assoc($query);
		$cantidad=isset($row["cantidad"])?$row["cantidad"]:"0";
		
		mysqli_free_result($query);
		mysqli_close($db);
		if(intval($cantidadInstrumentos)==intval($cantidad))
		    return false;
		return true;
	}
	
	
	
}